Arreglando compatibilidad IIS6 y reporviewer con IIS7 Windows Server 2008

Hace poco tuve unos contratiempos con una aplicación WEB desarrollada para funcionar con IIS6
pues en el servidor donde se quería instalar era una versión más actual corriendo IIS7 más concretamente en un Windows Server 2008.

Para empezar, el instalador de la aplicación web no se ejecutaba correctamente, pues no permitía terminar el último paso de la instalación. Y además los reportes elaborados con reporviewer tampoco se visualizaban correctamente.Así que a investigar un rato en internet para saber como resolver los problemas.
Y encontre lo siguiente:

Para instalar los componentes para la administración de compatibilidad IIS6.0 usando el administrador del servidor de Windows Server 2008 y corregir el error en el instalador de la aplicación Web.

    1. Primero hay que presionar en el botón Inicio.
    2. Dar clic sobre Herramientas Administrativas y luego en Administrador del servidor.

      CompatibilidadII6-01

      CompatibilidadII6-01

    3. En el árbol de navegación de la izquierda expandir “Funciones” y con el botón derecho dar clic sobre “Servidor web (IIS) y seleccionar agregar servicios de función.
    4. En la lista de Servicios de función desplazar la barra hacia abajo y localizar las opciones
      “Compatibilidad con la administración de IIS6”.
    5. Seleccionar los check boxes para:
      Compatibilidad con la metabase de IIS6.
      Compatibilidad con WMI de IIS6.
      Herramientas de scripting de IIS6.
      Consola de administración de IIS6.

      CompatibilidadII6-02

      CompatibilidadII6-02

    6. Presionar el boton “Siguiente>” luego presionar el botón “Instalar” y confirmar la instalación.
    7. Presionar el botón Cerrar y salir del asistente de Servicios de función.

      CompatibilidadII6-03

      CompatibilidadII6-03

La compatibilidad con IIS6 se encuentra instalada.

Visto en:

http://www.activexperts.com/support/network-monitor/online/ii6metabase/

Para corregir los errores de visualización en los reportes de reporviewer:

Primero se necesita instalar el paquete distribuible 2008 de reporviewer

http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=6576

CompatibilidadII6-04

CompatibilidadII6-04

También puede ser útil darle un vistazo a esta página:

http://praveenbattula.blogspot.com/2010/03/fix-to-report-viewer-problems-in-iis-7.html

Compartir en...Tweet about this on TwitterPin on Pinterest0Share on LinkedIn0Share on Google+0Share on Facebook0